net.sf.jasperreports.export

## Interface XlsReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Subinterfaces:
    JxlMetadataReportConfiguration, JxlReportConfiguration, OdsReportConfiguration, XlsMetadataReportConfiguration, XlsxReportConfiguration
  All Known Implementing Classes:
    AbstractXlsReportConfiguration, SimpleJxlMetadataReportConfiguration, SimpleJxlReportConfiguration, SimpleOdsReportConfiguration, SimpleXlsMetadataReportConfiguration, SimpleXlsReportConfiguration, SimpleXlsxReportConfiguration

      public interface XlsReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the Excel exporters.
  Version:
    $Id: XlsExporterConfiguration.java 6759 2013-11-20 14:43:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRXlsExporter`, `JRXlsxExporter`, `JROdsExporter`, `JRXlsMetadataExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CELL_HIDDEN` This property serves as default for the `isCellHidden()` export configuration flag.
    `static java.lang.String` | `PROPERTY_CELL_LOCKED` This property serves as default for the `isCellLocked()` export configuration flag.
    `static java.lang.String` | `PROPERTY_COLLAPSE_ROW_SPAN` Property whose value is used as default state of the `isCollapseRowSpan()` export configuration flag.
    `static java.lang.String` | `PROPERTY_COLUMN_WIDTH_RATIO` Property used to provide a default value for the `getColumnWidthRatio()` export configuration setting.
    `static java.lang.String` | `PROPERTY_DETECT_CELL_TYPE` Property whose value is used as default state of the `isDetectCellType()` export flag.
    `static java.lang.String` | `PROPERTY_FIRST_PAGE_NUMBER` Property that specifies the default for the `getFirstPageNumber()` exporter configuration setting.
    `static java.lang.String` | `PROPERTY_FIT_HEIGHT` This property provides a default for the `getFitHeight()` export configuration setting.
    `static java.lang.String` | `PROPERTY_FIT_WIDTH` This property provides a default for the `getFitWidth()` exporter configuration setting.
    `static java.lang.String` | `PROPERTY_FONT_SIZE_FIX_ENABLED` Property whose value is used as default state of the `isFontSizeFixEnabled()` export configuration flag.
    `static java.lang.String` | `PROPERTY_FREEZE_COLUMN` Indicates the name of the first unlocked column in document's sheets.
    `static java.lang.String` | `PROPERTY_FREEZE_ROW` Specifies the index of the first unlocked row in document's sheets.
    `static java.lang.String` | `PROPERTY_IGNORE_ANCHORS` Property that provides a default for the `isIgnoreAnchors()` export configuration flag.
    `static java.lang.String` | `PROPERTY_IGNORE_CELL_BACKGROUND` Property whose value is used as default state of the `isIgnoreCellBackground()` export flag.
    `static java.lang.String` | `PROPERTY_IGNORE_CELL_BORDER` Property whose value is used as default state of the `isIgnoreCellBorder()` export configuration flag.
    `static java.lang.String` | `PROPERTY_IGNORE_GRAPHICS` Property whose value is used as default state of the `isIgnoreGraphics()` export configuration flag.
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Property that provides a default value for the `isIgnoreHyperlink()` export configuration flag.
    `static java.lang.String` | `PROPERTY_IMAGE_ANCHOR_TYPE` Property that provides a default value for the `getImageAnchorType()` export parameter setting.
    `static java.lang.String` | `PROPERTY_IMAGE_BORDER_FIX_ENABLED` Property whose value is used as default state of the `isImageBorderFixEnabled()` export configuration flag.
    `static java.lang.String` | `PROPERTY_MAXIMUM_ROWS_PER_SHEET` Property whose value is used as default of the `getMaxRowsPerSheet()` export configuration setting.
    `static java.lang.String` | `PROPERTY_ONE_PAGE_PER_SHEET` Property whose value is used as default state of the `isOnePagePerSheet()` export configuration flag.
    `static java.lang.String` | `PROPERTY_PAGE_SCALE` This property provides a default value for the `getPageScale()` export configuration setting.
    `static java.lang.String` | `PROPERTY_PASSWORD` Property whose value is used as default value of the `getPassword()` export configuration setting.
    `static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` Property whose value is used as default state of the `isRemoveEmptySpaceBetweenColumns()` export configuration flag.
    `static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Property whose value is used as default state of the `isRemoveEmptySpaceBetweenRows()` export configuration flag.
    `static java.lang.String` | `PROPERTY_SHEET_DIRECTION` This property provides a default for the `getSheetDirection()` exporter configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_FOOTER_CENTER` This property provides a default value for the `getSheetFooterCenter()` export configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_FOOTER_LEFT` This property provides a default value for the `getSheetFooterLeft()` export configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_FOOTER_RIGHT` This property provides a default value for the `getSheetFooterRight()` export configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_HEADER_CENTER` This property provides a default value for the `getSheetHeaderCenter()` export configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_HEADER_LEFT` This property provides a default value for the `getSheetHeaderLeft()` export configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_HEADER_RIGHT` This property provides a default value for the `getSheetHeaderRight()` export configuration setting.
    `static java.lang.String` | `PROPERTY_SHEET_NAMES_PREFIX` Property prefix used in order to identify a set of properties holding sheet names, very useful when indicating sheet names in the jrxml template is required.
    `static java.lang.String` | `PROPERTY_SHOW_GRIDLINES` Property that provides a default for the `isShowGridLines()` export configuration flag.
    `static java.lang.String` | `PROPERTY_USE_TIMEZONE` Property that provides a default for the `isUseTimeZone()` export configuration flag.
    `static java.lang.String` | `PROPERTY_WHITE_PAGE_BACKGROUND` Property whose value is used as default state of the `isWhitePageBackground()` export configuration flag.
    `static java.lang.String` | `PROPERTY_WRAP_TEXT` This property serves as default for the `isWrapText()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getColumnWidthRatio()` Setting used to adjust all column widths in a document or sheet with the same width ratio, in order to get column width values suitable for Excel output.
    `java.lang.Integer` | `getFirstPageNumber()` Setting that specifies the first page number in the page setup dialog.
    `java.lang.Integer` | `getFitHeight()` This setting indicates the number of pages height to fit the sheet in.
    `java.lang.Integer` | `getFitWidth()` This setting indicates the number of pages wide to fit the sheet in.
    `java.util.Map<java.lang.String,java.lang.String>` | `getFormatPatternsMap()` This export configuration setting should be used when converting java format patterns to equivalent proprietary format patterns.
    `ImageAnchorTypeEnum` | `getImageAnchorType()` Specifies the image anchor type.
    `java.lang.Integer` | `getMaxRowsPerSheet()` Returns an integer value specifying the maximum number of rows allowed to be shown in a sheet.
    `java.lang.Integer` | `getPageScale()` This setting is used to adjust the page content to a given percent of the normal size in the print preview pane.
    `java.lang.String` | `getPassword()` Returns a String value representing the password in case of password protected documents.
    `RunDirectionEnum` | `getSheetDirection()` This setting indicates if the sheet is left-to-right or right-to-left oriented.
    `java.lang.String` | `getSheetFooterCenter()` This property stores the text content of the sheet footer's center.
    `java.lang.String` | `getSheetFooterLeft()` This property stores the text content of the sheet footer's left side.
    `java.lang.String` | `getSheetFooterRight()` This property stores the text content of the sheet footer's right side.
    `java.lang.String` | `getSheetHeaderCenter()` This property stores the text content of the sheet header's center.
    `java.lang.String` | `getSheetHeaderLeft()` This property stores the text content of the sheet header's left side.
    `java.lang.String` | `getSheetHeaderRight()` This property stores the text content of the sheet header's right side.
    `java.lang.String[]` | `getSheetNames()` Returns an array of strings representing custom sheet names.
    `java.lang.Boolean` | `isCellHidden()` This flag indicates whether the cell content is hidden.
    `java.lang.Boolean` | `isCellLocked()` This flag indicates whether the cell is locked.
    `java.lang.Boolean` | `isCollapseRowSpan()` Flag for collapsing row span and avoid merging cells across rows.
    `java.lang.Boolean` | `isDetectCellType()` Flag used to indicate whether the exporter should take into consideration the type of the original text field expressions and set the cell types and values accordingly.
    `java.lang.Boolean` | `isFontSizeFixEnabled()` Flag for decreasing font size so that texts fit into the specified cell height.
    `java.lang.Boolean` | `isIgnoreAnchors()` Flag that indicates whether local anchors should be ignored when elements are exported to Excel.
    `java.lang.Boolean` | `isIgnoreCellBackground()` Flag for ignoring the cell background color.
    `java.lang.Boolean` | `isIgnoreCellBorder()` Flag for ignoring the cell border.
    `java.lang.Boolean` | `isIgnoreGraphics()` Flag for ignoring graphic elements and exporting text elements only.
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `java.lang.Boolean` | `isIgnorePageMargins()` Indicates whether page margins should be ignored when the report is exported using a grid-based exporter If set to `true`, any page in the document will be exported without taking into account its margins.
    `java.lang.Boolean` | `isImageBorderFixEnabled()` Flag for forcing the minimum image padding to 1 pixel, to avoid situations where the image hides the cell border.
    `java.lang.Boolean` | `isOnePagePerSheet()` Returns a boolean value specifying whether each report page should be written in a different XLS sheet.
    `java.lang.Boolean` | `isRemoveEmptySpaceBetweenColumns()` Returns a boolean value specifying whether the empty spaces that could appear between columns should be removed or not.
    `java.lang.Boolean` | `isRemoveEmptySpaceBetweenRows()` Returns a boolean value specifying whether the empty spaces that could appear between rows should be removed or not.
    `java.lang.Boolean` | `isShowGridLines()` Flag that specifies if the gridlines in a given sheet are shown.
    `java.lang.Boolean` | `isUseTimeZone()` Flag that determines whether date values are to be translated to the timezone that was used to fill the report.
    `java.lang.Boolean` | `isWhitePageBackground()` Returns a boolean value specifying whether the page background should be white or the default XLS background color.
    `java.lang.Boolean` | `isWrapText()` This flag indicates whether text wrapping is allowed in a given cell.

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_ONE_PAGE_PER_SHEET

          static final java.lang.String PROPERTY_ONE_PAGE_PER_SHEET

      Property whose value is used as default state of the `isOnePagePerSheet()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

          static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

      Property whose value is used as default state of the `isRemoveEmptySpaceBetweenRows()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

          static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

      Property whose value is used as default state of the `isRemoveEmptySpaceBetweenColumns()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_WHITE_PAGE_BACKGROUND

          static final java.lang.String PROPERTY_WHITE_PAGE_BACKGROUND

      Property whose value is used as default state of the `isWhitePageBackground()` export configuration flag.

      This property is set by default (`true`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_WRAP_TEXT

          static final java.lang.String PROPERTY_WRAP_TEXT

      This property serves as default for the `isWrapText()` export configuration flag.

      The property itself defaults to `true`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_CELL_LOCKED

          static final java.lang.String PROPERTY_CELL_LOCKED

      This property serves as default for the `isCellLocked()` export configuration flag.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_CELL_HIDDEN

          static final java.lang.String PROPERTY_CELL_HIDDEN

      This property serves as default for the `isCellHidden()` export configuration flag.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_DETECT_CELL_TYPE

          static final java.lang.String PROPERTY_DETECT_CELL_TYPE

      Property whose value is used as default state of the `isDetectCellType()` export flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_FONT_SIZE_FIX_ENABLED

          static final java.lang.String PROPERTY_FONT_SIZE_FIX_ENABLED

      Property whose value is used as default state of the `isFontSizeFixEnabled()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IMAGE_BORDER_FIX_ENABLED

          static final java.lang.String PROPERTY_IMAGE_BORDER_FIX_ENABLED

      Property whose value is used as default state of the `isImageBorderFixEnabled()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IGNORE_GRAPHICS

          static final java.lang.String PROPERTY_IGNORE_GRAPHICS

      Property whose value is used as default state of the `isIgnoreGraphics()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_COLLAPSE_ROW_SPAN

          static final java.lang.String PROPERTY_COLLAPSE_ROW_SPAN

      Property whose value is used as default state of the `isCollapseRowSpan()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IGNORE_CELL_BORDER

          static final java.lang.String PROPERTY_IGNORE_CELL_BORDER

      Property whose value is used as default state of the `isIgnoreCellBorder()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IGNORE_CELL_BACKGROUND

          static final java.lang.String PROPERTY_IGNORE_CELL_BACKGROUND

      Property whose value is used as default state of the `isIgnoreCellBackground()` export flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_MAXIMUM_ROWS_PER_SHEET

          static final java.lang.String PROPERTY_MAXIMUM_ROWS_PER_SHEET

      Property whose value is used as default of the `getMaxRowsPerSheet()` export configuration setting.

      This property is by default to zero.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_HEADER_LEFT

          static final java.lang.String PROPERTY_SHEET_HEADER_LEFT

      This property provides a default value for the `getSheetHeaderLeft()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_HEADER_CENTER

          static final java.lang.String PROPERTY_SHEET_HEADER_CENTER

      This property provides a default value for the `getSheetHeaderCenter()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_HEADER_RIGHT

          static final java.lang.String PROPERTY_SHEET_HEADER_RIGHT

      This property provides a default value for the `getSheetHeaderRight()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_FOOTER_LEFT

          static final java.lang.String PROPERTY_SHEET_FOOTER_LEFT

      This property provides a default value for the `getSheetFooterLeft()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_FOOTER_CENTER

          static final java.lang.String PROPERTY_SHEET_FOOTER_CENTER

      This property provides a default value for the `getSheetFooterCenter()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_FOOTER_RIGHT

          static final java.lang.String PROPERTY_SHEET_FOOTER_RIGHT

      This property provides a default value for the `getSheetFooterRight()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PASSWORD

          static final java.lang.String PROPERTY_PASSWORD

      Property whose value is used as default value of the `getPassword()` export configuration setting.

      This property is by default not set (`null`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHEET_NAMES_PREFIX

          static final java.lang.String PROPERTY_SHEET_NAMES_PREFIX

      Property prefix used in order to identify a set of properties holding sheet names, very useful when indicating sheet names in the jrxml template is required. These properties' values are collected in an ordered list, therefore it is important the order they are written in. If set, these values are considered as defaults for the `getSheetNames()` export configuration setting.

      A property starting with this prefix can hold one or many sheet names. In order to be well parsed, sheet names contained in such a property's value should be separated by a slash character ("/")

      These properties are by default not set.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IGNORE_HYPERLINK

          static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Property that provides a default value for the `isIgnoreHyperlink()` export configuration flag.
      See Also:
        Constant Field Values

    - #### PROPERTY_IGNORE_ANCHORS

          static final java.lang.String PROPERTY_IGNORE_ANCHORS

      Property that provides a default for the `isIgnoreAnchors()` export configuration flag. The default value is `false`.

      Property scope:

      - `Global`
      - `Report`
      See Also:
        Constant Field Values

    - #### PROPERTY_FIT_WIDTH

          static final java.lang.String PROPERTY_FIT_WIDTH

      This property provides a default for the `getFitWidth()` exporter configuration setting.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_FIT_HEIGHT

          static final java.lang.String PROPERTY_FIT_HEIGHT

      This property provides a default for the `getFitHeight()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_PAGE_SCALE

          static final java.lang.String PROPERTY_PAGE_SCALE

      This property provides a default value for the `getPageScale()` export configuration setting.
      Property scope:
      - `Global`
      - `Report`
      - `Element` - this setting can be used to set the page scale per sheet
      Global settings are overriden by report level settings; report level settings are overriden by element (sheet) level settings.
      See Also:
        Constant Field Values

    - #### PROPERTY_SHEET_DIRECTION

          static final java.lang.String PROPERTY_SHEET_DIRECTION

      This property provides a default for the `getSheetDirection()` exporter configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_FREEZE_ROW

          static final java.lang.String PROPERTY_FREEZE_ROW

      Specifies the index of the first unlocked row in document's sheets. All rows above this will be 'frozen'. Allowed values are represented by positive integers in the 1..65536 range. Negative values are not considered. The property should be used when all sheets in the document have the same freeze row index.
      See Also:
        Constant Field Values

    - #### PROPERTY_FREEZE_COLUMN

          static final java.lang.String PROPERTY_FREEZE_COLUMN

      Indicates the name of the first unlocked column in document's sheets. All columns to the left of this one will be 'frozen'. Allowed values are letters or letter combinations representing valid column names in Excel, such as A, B, AB, AC, etc. The property should be used when all document sheets have the same freeze column name.
      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_WIDTH_RATIO

          static final java.lang.String PROPERTY_COLUMN_WIDTH_RATIO

      Property used to provide a default value for the `getColumnWidthRatio()` export configuration setting. The property can be set:
      - globally - then all the columns in all documents exported to the Excel output format will be adjusted with the same width ratio
      - at report level - then all the columns in the document will be adjusted with the same width ratio
      - at element level - then all the columns in the current sheet will be adjusted with the same width ratio
      If present, a `PROPERTY_COLUMN_WIDTH` property will override the `PROPERTY_COLUMN_WIDTH_RATIO` value for that column only.
      See Also:
        `JRXlsAbstractExporter.PROPERTY_COLUMN_WIDTH`, `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_USE_TIMEZONE

          static final java.lang.String PROPERTY_USE_TIMEZONE

      Property that provides a default for the `isUseTimeZone()` export configuration flag. The property can be set globally, at report level and at element level. The default value is `false`.
      Since:
        4.5.0
      See Also:
        Constant Field Values

    - #### PROPERTY_FIRST_PAGE_NUMBER

          static final java.lang.String PROPERTY_FIRST_PAGE_NUMBER

      Property that specifies the default for the `getFirstPageNumber()` exporter configuration setting.
      Property scope:
      - `Global`
      - `Report`
      - `Element` - this setting can be used to set the first page number per sheet.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SHOW_GRIDLINES

          static final java.lang.String PROPERTY_SHOW_GRIDLINES

      Property that provides a default for the `isShowGridLines()` export configuration flag. When set at report element level and multiple elements in a sheet provide this property, the last read value will be considered. Default value is `true`.
      Property scope:
      - `Global`
      - `Report`
      - `Element` - this setting can be used to set the property value per sheet.
      Global settings are overriden by report level settings; report level settings are overriden by element (sheet) level settings.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_IMAGE_ANCHOR_TYPE

          static final java.lang.String PROPERTY_IMAGE_ANCHOR_TYPE

      Property that provides a default value for the `getImageAnchorType()` export parameter setting. Possible values are:
      - `MoveSize` - images move and size with cells
      - `MoveNoSize` - images move but don't size with cells
      - `NoMoveNoSize` - images don't move or size with cells
      Default value is `MoveNoSize`.
      Property scope:
      - `Global`
      - `Report`
      - `Element`
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isOnePagePerSheet

          java.lang.Boolean isOnePagePerSheet()

      Returns a boolean value specifying whether each report page should be written in a different XLS sheet.
      See Also:
        `PROPERTY_ONE_PAGE_PER_SHEET`

    - #### isRemoveEmptySpaceBetweenRows

          java.lang.Boolean isRemoveEmptySpaceBetweenRows()

      Returns a boolean value specifying whether the empty spaces that could appear between rows should be removed or not.
      See Also:
        `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`

    - #### isRemoveEmptySpaceBetweenColumns

          java.lang.Boolean isRemoveEmptySpaceBetweenColumns()

      Returns a boolean value specifying whether the empty spaces that could appear between columns should be removed or not.
      See Also:
        `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS`

    - #### isWhitePageBackground

          java.lang.Boolean isWhitePageBackground()

      Returns a boolean value specifying whether the page background should be white or the default XLS background color. This background may vary depending on the XLS viewer properties or the operating system color scheme.
      See Also:
        `PROPERTY_WHITE_PAGE_BACKGROUND`

    - #### isDetectCellType

          java.lang.Boolean isDetectCellType()

      Flag used to indicate whether the exporter should take into consideration the type of the original text field expressions and set the cell types and values accordingly.

      Text fields having numerical or date expressions save type and formatting (format pattern, locale and time zone) information in the `JasperPrint`/`JRPrintText` object created by the report fill process.

      When this flag is set, the exporter will parse back the `String` value of numerical/date texts. Numerical/date cells will be created and the original pattern of the text will be included as part of the cell style.

      Note that this mechanism would not work when the text field overflows and splits on two pages/columns. Also, it is required that the text field expression has a numerical or date type set.

      This flag is off by default to ensure backwards compatibility.

      See Also:
        `PROPERTY_DETECT_CELL_TYPE`

    - #### isFontSizeFixEnabled

          java.lang.Boolean isFontSizeFixEnabled()

      Flag for decreasing font size so that texts fit into the specified cell height.
      See Also:
        `PROPERTY_FONT_SIZE_FIX_ENABLED`

    - #### isImageBorderFixEnabled

          java.lang.Boolean isImageBorderFixEnabled()

      Flag for forcing the minimum image padding to 1 pixel, to avoid situations where the image hides the cell border.
      See Also:
        `PROPERTY_IMAGE_BORDER_FIX_ENABLED`

    - #### isIgnoreGraphics

          java.lang.Boolean isIgnoreGraphics()

      Flag for ignoring graphic elements and exporting text elements only.
      See Also:
        `PROPERTY_IGNORE_GRAPHICS`

    - #### isCollapseRowSpan

          java.lang.Boolean isCollapseRowSpan()

      Flag for collapsing row span and avoid merging cells across rows.
      See Also:
        `PROPERTY_COLLAPSE_ROW_SPAN`

    - #### isIgnoreCellBorder

          java.lang.Boolean isIgnoreCellBorder()

      Flag for ignoring the cell border.
      See Also:
        `PROPERTY_IGNORE_CELL_BORDER`

    - #### isIgnoreCellBackground

          java.lang.Boolean isIgnoreCellBackground()

      Flag for ignoring the cell background color.
      See Also:
        `PROPERTY_IGNORE_CELL_BACKGROUND`

    - #### isWrapText

          java.lang.Boolean isWrapText()

      This flag indicates whether text wrapping is allowed in a given cell.
      See Also:
        `PROPERTY_WRAP_TEXT`

    - #### isCellLocked

          java.lang.Boolean isCellLocked()

      This flag indicates whether the cell is locked.
      See Also:
        `PROPERTY_CELL_LOCKED`

    - #### isCellHidden

          java.lang.Boolean isCellHidden()

      This flag indicates whether the cell content is hidden.
      See Also:
        `PROPERTY_CELL_HIDDEN`

    - #### getMaxRowsPerSheet

          java.lang.Integer getMaxRowsPerSheet()

      Returns an integer value specifying the maximum number of rows allowed to be shown in a sheet. When set, a new sheet is created for the remaining rows to be displayed. Negative values or zero means that no limit has been set.
      See Also:
        `PROPERTY_MAXIMUM_ROWS_PER_SHEET`

    - #### isIgnorePageMargins

          java.lang.Boolean isIgnorePageMargins()

      Indicates whether page margins should be ignored when the report is exported using a grid-based exporter

      If set to `true`, any page in the document will be exported without taking into account its margins.

      See Also:
        `ReportExportConfiguration.PROPERTY_IGNORE_PAGE_MARGINS`

    - #### getSheetHeaderLeft

          java.lang.String getSheetHeaderLeft()

      This property stores the text content of the sheet header's left side.
      See Also:
        `PROPERTY_SHEET_HEADER_LEFT`

    - #### getSheetHeaderCenter

          java.lang.String getSheetHeaderCenter()

      This property stores the text content of the sheet header's center.
      See Also:
        `PROPERTY_SHEET_HEADER_CENTER`

    - #### getSheetHeaderRight

          java.lang.String getSheetHeaderRight()

      This property stores the text content of the sheet header's right side.
      See Also:
        `PROPERTY_SHEET_HEADER_RIGHT`

    - #### getSheetFooterLeft

          java.lang.String getSheetFooterLeft()

      This property stores the text content of the sheet footer's left side.
      See Also:
        `PROPERTY_SHEET_FOOTER_LEFT`

    - #### getSheetFooterCenter

          java.lang.String getSheetFooterCenter()

      This property stores the text content of the sheet footer's center.
      See Also:
        `PROPERTY_SHEET_FOOTER_CENTER`

    - #### getSheetFooterRight

          java.lang.String getSheetFooterRight()

      This property stores the text content of the sheet footer's right side.
      See Also:
        `PROPERTY_SHEET_FOOTER_RIGHT`

    - #### getPassword

          java.lang.String getPassword()

      Returns a String value representing the password in case of password protected documents.
      See Also:
        `PROPERTY_PASSWORD`

    - #### getSheetNames

          java.lang.String[] getSheetNames()

      Returns an array of strings representing custom sheet names. This is useful when used with the isOnePagePerSheet() setting.
      See Also:
        `PROPERTY_SHEET_NAMES_PREFIX`

    - #### getFormatPatternsMap

          java.util.Map<java.lang.String,java.lang.String> getFormatPatternsMap()

      This export configuration setting should be used when converting java format patterns to equivalent proprietary format patterns. It should be constructed as a Map containing java format patterns as keys and the correspondent proprietary format pattern as correspondent value

      See Also:
        `HSSFDataFormat`, `NumberFormat`

    - #### isIgnoreHyperlink

          java.lang.Boolean isIgnoreHyperlink()

      See Also:
        `PROPERTY_IGNORE_HYPERLINK`

    - #### isIgnoreAnchors

          java.lang.Boolean isIgnoreAnchors()

      Flag that indicates whether local anchors should be ignored when elements are exported to Excel.
      See Also:
        `PROPERTY_IGNORE_ANCHORS`

    - #### getFitWidth

          java.lang.Integer getFitWidth()

      This setting indicates the number of pages wide to fit the sheet in.
      See Also:
        `PROPERTY_FIT_WIDTH`

    - #### getFitHeight

          java.lang.Integer getFitHeight()

      This setting indicates the number of pages height to fit the sheet in.
      See Also:
        `PROPERTY_FIT_WIDTH`

    - #### getPageScale

          java.lang.Integer getPageScale()

      This setting is used to adjust the page content to a given percent of the normal size in the print preview pane. Allowed values are positive integers from 10 to 400, representing percents of the normal size. This setting overrides the `getFitWidth()` and `getFitHeight()` settings.
      See Also:
        `PROPERTY_PAGE_SCALE`

    - #### getSheetDirection

          RunDirectionEnum getSheetDirection()

      This setting indicates if the sheet is left-to-right or right-to-left oriented. Possible values are:
      - LTR - meaning left-to-right
      - RTL - meaning right-to-left
      The default value is LTR.
      See Also:
        `PROPERTY_SHEET_DIRECTION`

    - #### getColumnWidthRatio

          java.lang.Float getColumnWidthRatio()

      Setting used to adjust all column widths in a document or sheet with the same width ratio, in order to get column width values suitable for Excel output. Usually column widths are measured by Excel in Normal style default character width units, while the JR engine uses pixels as default size units. When exporting the report to the Excel output format, the pixel-to-character width translation depends on the normal style default character width provided by the Excel instance, so it cannot be always accurately fitted. In this case, one can alter the generated column widths by setting this property with a float value representing the adjustment ratio.
      See Also:
        `PROPERTY_COLUMN_WIDTH_RATIO`

    - #### isUseTimeZone

          java.lang.Boolean isUseTimeZone()

      Flag that determines whether date values are to be translated to the timezone that was used to fill the report.

      By default, date values are exported to Excel using the default timezone of the system. Setting this to `true` instructs the exporter to use he report fill timezone to export date values.

      This only has effect when `isDetectCellType()` is set.

      See Also:
        `PROPERTY_USE_TIMEZONE`

    - #### getFirstPageNumber

          java.lang.Integer getFirstPageNumber()

      Setting that specifies the first page number in the page setup dialog.
      See Also:
        `PROPERTY_FIRST_PAGE_NUMBER`

    - #### isShowGridLines

          java.lang.Boolean isShowGridLines()

      Flag that specifies if the gridlines in a given sheet are shown.
      See Also:
        `PROPERTY_SHOW_GRIDLINES`

    - #### getImageAnchorType

          ImageAnchorTypeEnum getImageAnchorType()

      Specifies the image anchor type.
      See Also:
        `PROPERTY_IMAGE_ANCHOR_TYPE`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com